package com.ssj.service.kmt.kmt.service.impl;

import com.ssj.bean.kmt.kmt.domain.KmtPrintManage;
import com.ssj.dao.kmt.kmt.dao.KmtPrintManageDao;
import com.ssj.framework.core.common.service.BaseServiceImpl;
import com.ssj.service.kmt.service.KmtPrintManageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;


@Transactional
@Service
public class KmtPrintManageServiceImpl   extends BaseServiceImpl<KmtPrintManage, String> implements KmtPrintManageService {

	@Autowired
	private KmtPrintManageDao dao;

	@Override
	public PagingAndSortingRepository<KmtPrintManage, String> getDao() {
		return dao;
	}

	@Override
	public List<KmtPrintManage> findPrintManageByList(String teacherId) {
		return dao.findPrintManageByList(teacherId);
	}

	@Override
	public KmtPrintManage findPrintManageByCId(String courseKnowId) {
		return dao.findPrintManageByCId(courseKnowId);
	}
	
	

}
